# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{
  lib,
  modulesPath,
  ...
}:

{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot.initrd.availableKernelModules = [
    "usb_storage"
    "sdhci_pci"
  ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ ];
  boot.extraModulePackages = [ ];

  fileSystems."/" = {
    device = "none";
    fsType = "tmpfs";
    options = [ "mode=755" ];
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/E66E-1A03";
    fsType = "vfat";
    options = [
      "fmask=0022"
      "dmask=0022"
    ];
  };

  fileSystems."/root" = {
    device = "/dev/disk/by-uuid/335f1bb3-6fdb-474e-972c-77b64e930d03";
    fsType = "btrfs";
    options = [ "subvol=root" ];
  };

  fileSystems."/etc" = {
    device = "/dev/disk/by-uuid/335f1bb3-6fdb-474e-972c-77b64e930d03";
    fsType = "btrfs";
    options = [ "subvol=etc" ];
  };

  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/335f1bb3-6fdb-474e-972c-77b64e930d03";
    fsType = "btrfs";
    options = [ "subvol=nix" ];
  };

  fileSystems."/var/log" = {
    device = "/dev/disk/by-uuid/335f1bb3-6fdb-474e-972c-77b64e930d03";
    fsType = "btrfs";
    options = [ "subvol=log" ];
  };

  fileSystems."/home" = {
    device = "/dev/disk/by-uuid/335f1bb3-6fdb-474e-972c-77b64e930d03";
    fsType = "btrfs";
    options = [ "subvol=home" ];
  };

  swapDevices = [ ];

  # Enables DHCP on each ethernet and wireless interface. In case of scripted networking
  # (the default) this is the recommended approach. When using systemd-networkd it's
  # still possible to use this option, but it's recommended to use it in conjunction
  # with explicit per-interface declarations with `networking.interfaces.<interface>.useDHCP`.
  networking.useDHCP = lib.mkDefault true;
  # networking.interfaces.wlan0.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "aarch64-linux";
}
